diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-CN.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-CN.rdf
index 869e671..e98a230 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-CN.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-CN.rdf
@@ -868,27 +868,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Liaoning
+    // Guizhou Sheng
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;Liaoning">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;GuizhouSheng">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Liaoning</rdfs:label>
-      <skos:definition>The province of Liaoning in the country of China</skos:definition>
+      <rdfs:label>Guizhou Sheng</rdfs:label>
+      <skos:definition>The province of Guizhou Sheng in the country of China</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;China"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Liaoning</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Guizhou Sheng</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-21">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-GZ">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Liaoning in the country of China</skos:definition>
-      <rdfs:label>CN-21</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-21</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;Liaoning"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;Liaoning"/>
+      <skos:definition>subdivision code for the province of Guizhou Sheng in the country of China</skos:definition>
+      <rdfs:label>CN-GZ</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-GZ</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;GuizhouSheng"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;GuizhouSheng"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
@@ -898,27 +898,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Anhui
+    // Yunnan Sheng
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;Anhui">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;YunnanSheng">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Anhui</rdfs:label>
-      <skos:definition>The province of Anhui in the country of China</skos:definition>
+      <rdfs:label>Yunnan Sheng</rdfs:label>
+      <skos:definition>The province of Yunnan Sheng in the country of China</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;China"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Anhui</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Yunnan Sheng</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-34">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-YN">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Anhui in the country of China</skos:definition>
-      <rdfs:label>CN-34</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-34</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;Anhui"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;Anhui"/>
+      <skos:definition>subdivision code for the province of Yunnan Sheng in the country of China</skos:definition>
+      <rdfs:label>CN-YN</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-YN</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;YunnanSheng"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;YunnanSheng"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
@@ -928,27 +928,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Hainan
+    // Shaanxi Sheng
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;Hainan">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;ShaanxiSheng">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Hainan</rdfs:label>
-      <skos:definition>The province of Hainan in the country of China</skos:definition>
+      <rdfs:label>Shaanxi Sheng</rdfs:label>
+      <skos:definition>The province of Shaanxi Sheng in the country of China</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;China"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Hainan</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Shaanxi Sheng</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-46">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-SN">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Hainan in the country of China</skos:definition>
-      <rdfs:label>CN-46</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-46</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;Hainan"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;Hainan"/>
+      <skos:definition>subdivision code for the province of Shaanxi Sheng in the country of China</skos:definition>
+      <rdfs:label>CN-SN</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-SN</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;ShaanxiSheng"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;ShaanxiSheng"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
@@ -958,27 +958,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Shaanxi
+    // Gansu Sheng
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;Shaanxi">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;GansuSheng">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Shaanxi</rdfs:label>
-      <skos:definition>The province of Shaanxi in the country of China</skos:definition>
+      <rdfs:label>Gansu Sheng</rdfs:label>
+      <skos:definition>The province of Gansu Sheng in the country of China</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;China"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Shaanxi</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Gansu Sheng</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-61">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-GS">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Shaanxi in the country of China</skos:definition>
-      <rdfs:label>CN-61</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-61</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;Shaanxi"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;Shaanxi"/>
+      <skos:definition>subdivision code for the province of Gansu Sheng in the country of China</skos:definition>
+      <rdfs:label>CN-GS</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-GS</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;GansuSheng"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;GansuSheng"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
@@ -988,27 +988,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Zhejiang
+    // Qinghai Sheng
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;Zhejiang">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;QinghaiSheng">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Zhejiang</rdfs:label>
-      <skos:definition>The province of Zhejiang in the country of China</skos:definition>
+      <rdfs:label>Qinghai Sheng</rdfs:label>
+      <skos:definition>The province of Qinghai Sheng in the country of China</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;China"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Zhejiang</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Qinghai Sheng</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-33">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-QH">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Zhejiang in the country of China</skos:definition>
-      <rdfs:label>CN-33</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-33</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;Zhejiang"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;Zhejiang"/>
+      <skos:definition>subdivision code for the province of Qinghai Sheng in the country of China</skos:definition>
+      <rdfs:label>CN-QH</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-QH</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;QinghaiSheng"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;QinghaiSheng"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
@@ -1018,27 +1018,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Fujian
+    // Taiwan Sheng (see also separate country code entry under TW)
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;Fujian">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;TaiwanSheng">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Fujian</rdfs:label>
-      <skos:definition>The province of Fujian in the country of China</skos:definition>
+      <rdfs:label>Taiwan Sheng (see also separate country code entry under TW)</rdfs:label>
+      <skos:definition>The province of Taiwan Sheng (see also separate country code entry under TW) in the country of China</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;China"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Fujian</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Taiwan Sheng (see also separate country code entry under TW)</lcc-cr:hasLocalShortName>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-35">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-TW">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Fujian in the country of China</skos:definition>
-      <rdfs:label>CN-35</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-35</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;Fujian"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;Fujian"/>
+      <skos:definition>subdivision code for the province of Taiwan Sheng (see also separate country code entry under TW) in the country of China</skos:definition>
+      <rdfs:label>CN-TW</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-TW</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;TaiwanSheng"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;TaiwanSheng"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
@@ -1048,27 +1048,28 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Guangxi
+    // Hong Kong SAR (see also separate country code entry under HK)
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;Guangxi">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;HongKongSAR">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Guangxi</rdfs:label>
-      <skos:definition>The autonomous region of Guangxi in the country of China</skos:definition>
+      <rdfs:label>Hong Kong SAR (see also separate country code entry under HK)</rdfs:label>
+      <skos:definition>The special administrative region of Hong Kong SAR (see also separate country code entry under HK) in the country of China</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;China"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Guangxi</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cn;AutonomousRegion"/>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Hong Kong SAR (see also separate country code entry under HK)</lcc-cr:hasEnglishShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Xianggang Tebiexingzhengqu (see also separate country code entry under HK)</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cn;SpecialAdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-45">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-HK">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the autonomous region of Guangxi in the country of China</skos:definition>
-      <rdfs:label>CN-45</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-45</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;Guangxi"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;Guangxi"/>
+      <skos:definition>subdivision code for the special administrative region of Hong Kong SAR (see also separate country code entry under HK) in the country of China</skos:definition>
+      <rdfs:label>CN-HK</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-HK</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;HongKongSAR"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;HongKongSAR"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
@@ -1078,27 +1079,29 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Guizhou
+    // Macao SAR (see also separate country code entry under MO)
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;Guizhou">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;MacaoSAR">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Guizhou</rdfs:label>
-      <skos:definition>The province of Guizhou in the country of China</skos:definition>
+      <rdfs:label>Macao SAR (see also separate country code entry under MO)</rdfs:label>
+      <skos:definition>The special administrative region of Macao SAR (see also separate country code entry under MO) in the country of China</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;China"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Guizhou</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cn;Province"/>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Macao SAR (see also separate country code entry under MO)</lcc-cr:hasEnglishShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="pt">Macau SAR (see also separate country code entry under MO)</lcc-cr:hasLocalShortName>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Aomen Tebiexingzhengqu (see also separate country code entry under MO)</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cn;SpecialAdministrativeRegion"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-52">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-MO">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the province of Guizhou in the country of China</skos:definition>
-      <rdfs:label>CN-52</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-52</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;Guizhou"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;Guizhou"/>
+      <skos:definition>subdivision code for the special administrative region of Macao SAR (see also separate country code entry under MO) in the country of China</skos:definition>
+      <rdfs:label>CN-MO</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-MO</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;MacaoSAR"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;MacaoSAR"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
@@ -1108,27 +1111,27 @@
   <!--
     ///////////////////////////////////////////////////////////////////////////////////////
     //
-    // Xizang
+    // Jiangsu Sheng
     //
     ///////////////////////////////////////////////////////////////////////////////////////
     -->
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;Xizang">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;JiangsuSheng">
       <rdf:type rdf:resource="&lcc-cr;CountrySubdivision"/>
-      <rdfs:label>Xizang</rdfs:label>
-      <skos:definition>The autonomous region of Xizang in the country of China</skos:definition>
+      <rdfs:label>Jiangsu Sheng</rdfs:label>
+      <skos:definition>The province of Jiangsu Sheng in the country of China</skos:definition>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;China"/>
-      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Xizang</lcc-cr:hasLocalShortName>
-      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cn;AutonomousRegion"/>
+      <lcc-cr:hasLocalShortName rdf:datatype="&xsd;string" xml:lang="zh">Jiangsu Sheng</lcc-cr:hasLocalShortName>
+      <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2-cn;Province"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
 
-   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-54">
+   <owl:NamedIndividual rdf:about="&lcc-3166-2-cn;CN-JS">
       <rdf:type rdf:resource="&lcc-cr;GeographicRegionIdentifier"/>
-      <skos:definition>subdivision code for the autonomous region of Xizang in the country of China</skos:definition>
-      <rdfs:label>CN-54</rdfs:label>
-      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-54</lcc-lr:hasTag>
-      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;Xizang"/>
-      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;Xizang"/>
+      <skos:definition>subdivision code for the province of Jiangsu Sheng in the country of China</skos:definition>
+      <rdfs:label>CN-JS</rdfs:label>
+      <lcc-lr:hasTag rdf:datatype="&xsd;string">CN-JS</lcc-lr:hasTag>
+      <lcc-lr:denotes rdf:resource="&lcc-3166-2-cn;JiangsuSheng"/>
+      <lcc-lr:identifies rdf:resource="&lcc-3166-2-cn;JiangsuSheng"/>
       <lcc-lr:isMemberOf rdf:resource="&lcc-3166-2;ISO3166-2-CodeSet"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cn;"/>
    </owl:NamedIndividual>
diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-CO.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-CO.rdf
index aeeca64..832e3d3 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-CO.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-CO.rdf
@@ -36,9 +36,9 @@
 
       <!-- Curation and Rights Metadata for the LCC ISO 3166-2 Subdivision Codes for Colombia Ontology -->
 
-      <sm:copyright rdf:datatype="&xsd;string">Copyright (c) 2015-2017 Object Management Group, Inc.
-          Copyright (c) 2015-2017 Adaptive Inc.
-          Copyright (c) 2015-2017 Thematix Partners LLC
+      <sm:copyright rdf:datatype="&xsd;string">Copyright (c) 2015-2019 Object Management Group, Inc.
+          Copyright (c) 2015-2019 Adaptive Inc.
+          Copyright (c) 2015-2019 Thematix Partners LLC
           Copyright (c) 2015-2017 Unisys
         </sm:copyright>
       <dct:license rdf:resource="&sm;MITLicense"/>
@@ -47,9 +47,9 @@
 
       <sm:filename rdf:datatype="&xsd;string">ISO3166-2-SubdivisionCodes-CO.rdf</sm:filename>
       <sm:fileAbbreviation rdf:datatype="&xsd;string">lcc-3166-2-co</sm:fileAbbreviation>
-      <owl:versionIRI rdf:resource="http://www.omg.org/spec/LCC/20170801/Countries/Regions/ISO3166-2-SubdivisionCodes-CO/"/>
+      <owl:versionIRI rdf:resource="http://www.omg.org/spec/LCC/20190301/Countries/Regions/ISO3166-2-SubdivisionCodes-CO/"/>
       <sm:fileAbstract rdf:datatype="&xsd;string">This ontology represents the subset of the ISO 3166 standard that includes the actual ISO 3166-2 subdivision codes for Colombia, with the ontology and codes for the other parts of the standard represented in models that this ontology depends on.</sm:fileAbstract>
-      <dct:issued rdf:datatype="&xsd;dateTime">2017-07-20T22:26:02.631805+02:00</dct:issued>
+      <dct:issued rdf:datatype="&xsd;dateTime">2019-02-14T00:48:51.124818+01:00</dct:issued>
 
       <sm:dependsOn rdf:datatype="&xsd;anyURI">http://www.omg.org/spec/LCC/Languages/LanguageRepresentation/</sm:dependsOn>
       <sm:dependsOn rdf:datatype="&xsd;anyURI">http://www.omg.org/spec/LCC/Countries/CountryRepresentation/</sm:dependsOn>
@@ -1103,8 +1103,8 @@
       <rdfs:label>Malpelo Island</rdfs:label>
       <skos:definition>The territory of Malpelo Island in the country of Colombia</skos:definition>
       <lcc-cr:hasNumericRegionCode rdf:datatype="&xsd;string">1116</lcc-cr:hasNumericRegionCode>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Malpelo Island</lcc-cr:hasEnglishShortName>
       <lcc-cr:hasFrenchShortName rdf:datatype="&xsd;string" xml:lang="fr">l'Île de Malpelo</lcc-cr:hasFrenchShortName>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Malpelo Island</lcc-cr:hasEnglishShortName>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Colombia"/>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2;Territory"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-co;"/>
@@ -1122,8 +1122,8 @@
       <rdfs:label>San Andrés y Providencia Islands</rdfs:label>
       <skos:definition>The territory of San Andrés y Providencia Islands in the country of Colombia</skos:definition>
       <lcc-cr:hasNumericRegionCode rdf:datatype="&xsd;string">1183</lcc-cr:hasNumericRegionCode>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">San Andrés y Providencia Islands</lcc-cr:hasEnglishShortName>
       <lcc-cr:hasFrenchShortName rdf:datatype="&xsd;string" xml:lang="fr">les Îles San Andrés et Providencia</lcc-cr:hasFrenchShortName>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">San Andrés y Providencia Islands</lcc-cr:hasEnglishShortName>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;Colombia"/>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2;Territory"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-co;"/>
diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-CR.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-CR.rdf
index 8d68f6f..4ed0fd1 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-CR.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-CR.rdf
@@ -36,9 +36,9 @@
 
       <!-- Curation and Rights Metadata for the LCC ISO 3166-2 Subdivision Codes for Costa Rica Ontology -->
 
-      <sm:copyright rdf:datatype="&xsd;string">Copyright (c) 2015-2017 Object Management Group, Inc.
-          Copyright (c) 2015-2017 Adaptive Inc.
-          Copyright (c) 2015-2017 Thematix Partners LLC
+      <sm:copyright rdf:datatype="&xsd;string">Copyright (c) 2015-2019 Object Management Group, Inc.
+          Copyright (c) 2015-2019 Adaptive Inc.
+          Copyright (c) 2015-2019 Thematix Partners LLC
           Copyright (c) 2015-2017 Unisys
         </sm:copyright>
       <dct:license rdf:resource="&sm;MITLicense"/>
@@ -47,9 +47,9 @@
 
       <sm:filename rdf:datatype="&xsd;string">ISO3166-2-SubdivisionCodes-CR.rdf</sm:filename>
       <sm:fileAbbreviation rdf:datatype="&xsd;string">lcc-3166-2-cr</sm:fileAbbreviation>
-      <owl:versionIRI rdf:resource="http://www.omg.org/spec/LCC/20170801/Countries/Regions/ISO3166-2-SubdivisionCodes-CR/"/>
+      <owl:versionIRI rdf:resource="http://www.omg.org/spec/LCC/20190301/Countries/Regions/ISO3166-2-SubdivisionCodes-CR/"/>
       <sm:fileAbstract rdf:datatype="&xsd;string">This ontology represents the subset of the ISO 3166 standard that includes the actual ISO 3166-2 subdivision codes for Costa Rica, with the ontology and codes for the other parts of the standard represented in models that this ontology depends on.</sm:fileAbstract>
-      <dct:issued rdf:datatype="&xsd;dateTime">2017-07-20T22:26:02.631805+02:00</dct:issued>
+      <dct:issued rdf:datatype="&xsd;dateTime">2019-02-14T00:48:51.124818+01:00</dct:issued>
 
       <sm:dependsOn rdf:datatype="&xsd;anyURI">http://www.omg.org/spec/LCC/Languages/LanguageRepresentation/</sm:dependsOn>
       <sm:dependsOn rdf:datatype="&xsd;anyURI">http://www.omg.org/spec/LCC/Countries/CountryRepresentation/</sm:dependsOn>
@@ -316,8 +316,8 @@
       <rdfs:label>Coco Island</rdfs:label>
       <skos:definition>The territory of Coco Island in the country of Costa Rica</skos:definition>
       <lcc-cr:hasNumericRegionCode rdf:datatype="&xsd;string">1044</lcc-cr:hasNumericRegionCode>
-      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Coco Island</lcc-cr:hasEnglishShortName>
       <lcc-cr:hasFrenchShortName rdf:datatype="&xsd;string" xml:lang="fr">l'Île du Coco</lcc-cr:hasFrenchShortName>
+      <lcc-cr:hasEnglishShortName rdf:datatype="&xsd;string" xml:lang="en">Coco Island</lcc-cr:hasEnglishShortName>
       <lcc-cr:isSubregionOf rdf:resource="&lcc-3166-1;CostaRica"/>
       <lcc-cr:isClassifiedBy rdf:resource="&lcc-3166-2;Territory"/>
       <rdfs:isDefinedBy rdf:resource="&lcc-3166-2-cr;"/>
diff --git a/Countries/Regions/ISO3166-2-SubdivisionCodes-CU.rdf b/Countries/Regions/ISO3166-2-SubdivisionCodes-CU.rdf
index a18b881..787658b 100644
--- a/Countries/Regions/ISO3166-2-SubdivisionCodes-CU.rdf
+++ b/Countries/Regions/ISO3166-2-SubdivisionCodes-CU.rdf
@@ -36,9 +36,9 @@
 
       <!-- Curation and Rights Metadata for the LCC ISO 3166-2 Subdivision Codes for Cuba Ontology -->
 
-      <sm:copyright rdf:datatype="&xsd;string">Copyright (c) 2015-2017 Object Management Group, Inc.
-          Copyright (c) 2015-2017 Adaptive Inc.
-          Copyright (c) 2015-2017 Thematix Partners LLC
+      <sm:copyright rdf:datatype="&xsd;string">Copyright (c) 2015-2019 Object Management Group, Inc.
+          Copyright (c) 2015-2019 Adaptive Inc.
+          Copyright (c) 2015-2019 Thematix Partners LLC
           Copyright (c) 2015-2017 Unisys
         </sm:copyright>
       <dct:license rdf:resource="&sm;MITLicense"/>
@@ -47,9 +47,9 @@
 
       <sm:filename rdf:datatype="&xsd;string">ISO3166-2-SubdivisionCodes-CU.rdf</sm:filename>
       <sm:fileAbbreviation rdf:datatype="&xsd;string">lcc-3166-2-cu</sm:fileAbbreviation>
-      <owl:versionIRI rdf:resource="http://www.omg.org/spec/LCC/20170801/Countries/Regions/ISO3166-2-SubdivisionCodes-CU/"/>
+      <owl:versionIRI rdf:resource="http://www.omg.org/spec/LCC/20190301/Countries/Regions/ISO3166-2-SubdivisionCodes-CU/"/>
       <sm:fileAbstract rdf:datatype="&xsd;string">This ontology represents the subset of the ISO 3166 standard that includes the actual ISO 3166-2 subdivision codes for Cuba, with the ontology and codes for the other parts of the standard represented in models that this ontology depends on.</sm:fileAbstract>
-      <dct:issued rdf:datatype="&xsd;dateTime">2017-07-20T22:26:02.631805+02:00</dct:issued>
+      <dct:issued rdf:datatype="&xsd;dateTime">2019-02-14T00:48:51.124818+01:00</dct:issued>
 
       <sm:dependsOn rdf:datatype="&xsd;anyURI">http://www.omg.org/spec/LCC/Languages/LanguageRepresentation/</sm:dependsOn>
       <sm:dependsOn rdf:datatype="&xsd;anyURI">http://www.omg.org/spec/LCC/Countries/CountryRepresentation/</sm:dependsOn>
